Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.text
[Java] Class TemplateEngine

    java.lang.Object
      groovy.text.TemplateEngine

    public abstract class TemplateEngine
    extends Object

Represents an API to any template engine which is basically a factory of Template instances from a given text input.

Authors:
  sam

Method Summary
`Template` | `createTemplate(Reader reader)`
`Template` | `createTemplate(String templateText)`
`Template` | `createTemplate(File file)`
`Template` | `createTemplate(URL url)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### createTemplate

    public Template createTemplate(Reader reader)

### createTemplate

    public Template createTemplate(String templateText)

### createTemplate

    public Template createTemplate(File file)

### createTemplate

    public Template createTemplate(URL url)

Copyright © 2003-2010 The Codehaus. All rights reserved.